/* You can add global styles to this file, and also import other style files */
 
@import url("https://fonts.googleapis.com/css?family=Kanit|Prompt"); 
@font-face {
  font-family: "KrungthaiFast";
  src: url("../src/assets/Krungthai-Font/KrungthaiFast/ttf/KrungthaiFast-Regular.ttf")
    format("truetype");
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: "KrungthaiFast";
  src: url("../src/assets/Krungthai-Font/KrungthaiFast/ttf/KrungthaiFast-Light.ttf")
    format("truetype");
  font-weight: lighter;
  font-style: normal;
}
@font-face {
    font-family: "KrungthaiFast";
    src: url("../src/assets/Krungthai-Font/KrungthaiFast/ttf/KrungthaiFast-Bold.ttf")
      format("truetype");
    font-weight: bold;
    font-style: normal;
  }
@font-face {
  font-family: "KrungthaiFast";
  src: url("../src/assets/Krungthai-Font/KrungthaiFast/ttf/KrungthaiFast-LightItalic.ttf")
    format("truetype");
  font-weight: lighter;
  font-style: italic;
}
@font-face {
  font-family: "KrungthaiFast";
  src: url("../src/assets/Krungthai-Font/KrungthaiFast/ttf/KrungthaiFast-Italic.ttf")
    format("truetype");
  font-weight: normal;
  font-style: italic;
}
@font-face {
  font-family: "KrungthaiFast";
  src: url("../src/assets/Krungthai-Font/KrungthaiFast/ttf/KrungthaiFast-BoldItalic.ttf")
    format("truetype");
  font-weight: bold;
  font-style: italic;
}

html,
body {
  height: 100%;
}

body {
  margin: 0;
  font-family: "KrungthaiFast", sans-serif;
}

.header {
  justify-content: space-between;
}

.user-profile {
  margin-left: 15px;
}

.mat-sidenav-container {
  height: 100%;
  display: flex;
  flex: 1 1 auto;
}

.mat-nav-list .mat-list-item {
  font-size: 13px;
}

.nav-tool-items {
  display: inline-block;
  margin-right: 13px;
}

.user-profile {
  margin-left: 15px;
  cursor: pointer;
}

.mat-sidenav,
.mat-sidenav-content {
  padding: 15px;
}

.mat-list-item.active {
  background: rgba(0, 0, 0, 0.04);
}

.mat-sidenav-content {
  padding: 25px 40px 0;
}

.mat-sidenav {
  background-color: #f2f2f2;
  width: 250px;
}

.header {
  position: sticky;
  position: -webkit-sticky;
  top: 0;
  z-index: 1000;
}

mat-sidenav mat-icon {
  margin-right: 12px;
}

.hamburger {
  margin-top: 5px;
  cursor: pointer;
}

/* .hamburger {
    visibility: hidden !important;
} */

.mat-radio-button,
.mat-radio-group {
  margin-right: 25px;
}

.controlers-wrapper > * {
  width: 100%;
  padding: 0;
}

.misc-bottom-padding {
  margin: 8px 0 10px;
}

.misc-bottom-padding mat-label {
  margin-right: 15px;
}

mat-radio-group mat-radio-button {
  margin-left: 5px;
}

.button-wrapper button {
  margin-right: 5px;
}

table.mat-table,
table {
  width: 100%;
}

.inner-wrapper {
  padding: 15px 0 130px;
  width: 100%;
}

.inner-wrapper mat-card {
  display: inline-block;
  margin: 0 6% 0 0;
  vertical-align: top;
  width: 44%;
}

.full-wrapper {
  width: 100%;
}

.multiple-items {
  position: relative;
}

.multiple-items .tooltip-info {
  right: 0;
  top: 7px;
  cursor: pointer;
  color: #a1a7c7;
  position: absolute;
  font-size: 20px;
}

body .push-right {
  margin-right: 10px;
}

.no-data {
  text-align: center;
  padding-top: 30px;
  color: #6c75a9;
}

.button-wrapper {
  margin: 20px 0 0 0;
}

.mat-form-field {
  width: 100%;
}

.toolbar-spacer {
  flex: 1 1 auto;
}

.avatar {
  vertical-align: middle;
  width: 55px;
  height: 55px;
  border-radius: 50%;
}

.full-height {
  height: 100%;
}

.padded {
  padding: 10px;
}

.with-icon {
  display: flex;
  align-items: center;
}

.center {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 50%;
}

@media (max-width: 1024px) {
  .inner-wrapper mat-card {
    width: 100%;
  }
  .mat-sidenav-content {
    padding: 20px 20px 0;
  }
  .misc-bottom-padding mat-label {
    display: block;
    padding-bottom: 10px;
  }
  .mat-sidenav {
    width: 230px;
  }
  .mat-nav-list .mat-list-item {
    font-size: 14px;
  }
}

@media (max-width: 767px) {
  .nav-tool-items {
    margin-right: 0;
  }
  .hamburger {
    visibility: visible !important;
  }
}
html,
body {
  height: 100%;
}
body {
  margin: 0;
  font-family: Roboto, "Helvetica Neue", sans-serif;
}

html,
body {
  height: 100%;
}
body {
  margin: 0;
  font-family: Roboto, "Helvetica Neue", sans-serif;
}

/* Custom CSS */
.mat-select-panel.saletype {
  border-radius: 5px;
  max-width: 350px;
}

.snackbar-success {
  background-color: #51a351;
}
.snackbar-error {
  background-color: #bd362f;
  color: white;
}
.snackbar-info {
  background-color: #2f96b4;
  color: white;
}
.snackbar-warning {
  background-color: #f89406;
}
.custom-tooltip {
  font-size: 1rem !important;
  white-space: pre-line;
}

.fs-7 {
  font-size: 0.75rem !important;
}
/* แก้เรื่องวรรณยุกต์หาย */
input {
  height: 1.3em;
}
/* แก้เรื่องวรรณยุกต์หาย */
.mat-select {
  line-height: 1.3em;
}

